#include <bits/stdc++.h>
using namespace std;


int main(int argc, char** argv) {
	int N,K,x,pos;
	vector<int> v1;
	cin>>N>>K;
	for (int i=0;i<N;i++)
	{
		cin>>x;
		if (x==K) pos=i;
		v1.push_back(x);
	}
	if (pos==v1.size()-1){
		cout<<v1[0]; return 0;
	}
	else{
		cout<<v1[pos+1];
		return 0;
	}
	
	
	return 0;
}